Subject: Re: [PATCH] 8xx: tlbie debugging aid (try #2)

From: Dan Malek <[email-masked]>
Date: Mon, 27 Jun 2005 16:53:39 -0400

On Jun 27, 2005, at 10:56 AM, Marcelo Tosatti wrote:

> Note: this was just a test module doing tlbie(0xc0000100)...
> Hum, it should also print out the address in question...

Oh, I see.  I thought it was a bug with loading a module
in general, since it allocates from vmalloc() space.

>> How much real memory on your board?
>
> 128M

No problem.

>> We need to ensure VMALLOC_START is beyond
>> the pinned entries.
>
> Right now VMALLOC_START is before the IMMR pinned space.

Sorry, I wasn't clear :-)  I meant we need to ensure VMALLOC_START
is beyond the pinned _data_ area.

> Oh! What are the side effects of such pinning as the
> code is today?

The code maps 24M of data space, plus 8M of IMMR (and anything
that follows).  So, if you don't have enough real memory, you can
end up with both a pinned entry and vmalloc() trying to share the same
VM space, which is a bad thing.  The problem depends on the amount
of real memory, plus the "offset" hole of the vmalloc() space.

> For what purpose? Sorry I don't get you, please be more
> verbose.

Just to prevent what I mentioned in the previous paragraph.
Since you have lots of real memory, this doesn't affect you.

Thanks.

	-- Dan